MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
EventFD Class Reference

A class that wraps eventfd(). More...

`#include <EventFD.hxx>`

## Public Member Functions
| EventFD ()
| ~EventFD ()
| EventFD (const EventFD &other)=delete
EventFD & | operator= (const EventFD &other)=delete
int | Get () const
bool | Read ()
| Checks if Write() was called at least once since the last Read() call. More...
void | Write ()
| Wakes up the reader. More...

## Detailed Description

A class that wraps eventfd().

Errors in the constructor are fatal.

Definition at line 31 of file EventFD.hxx.

## Constructor & Destructor Documentation

EventFD::EventFD | ( |  | ) |

EventFD::~EventFD | ( |  | ) |
| inline

Definition at line 36 of file EventFD.hxx.

EventFD::EventFD | ( | const EventFD & | other | ) |
| delete

## Member Function Documentation

int EventFD::Get | ( |  | ) | const
| inline

Definition at line 43 of file EventFD.hxx.

EventFD& EventFD::operator= | ( | const EventFD & | other | ) |
| delete

bool EventFD::Read | ( |  | ) |

Checks if Write() was called at least once since the last Read() call.

void EventFD::Write | ( |  | ) |

Wakes up the reader.

Multiple calls to this function will be combined to one wakeup.

The documentation for this class was generated from the following file:

- system/EventFD.hxx